DeployerReport
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.deployment
Class DeployerReport

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.deployment.DeployerReport

    public class DeployerReport

extends java.lang.Object

Parser for the report sent by the Deployer Service

Author:
  Manuele Simi (ISTI-CNR)

Nested Class Summary
`class` | `DeployerReport.DeployedRunningInstance`

Constructor Summary
`DeployerReport(java.lang.String report)`

Method Summary
`java.util.List<DeployedDependency>` | `getDependencies()`
`java.lang.String` | `getGHNID()` Gets the GHN ID
`java.lang.String` | `getHost()`
`java.util.Set<DeployerReport.DeployedRunningInstance>` | `getInstances()`
`java.util.Date` | `getLastUpdate()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeployerReport

    public DeployerReport(java.lang.String report)
                   throws java.lang.Exception

Parameters:
  `report` - the string representation of the report as sent by a Deployer Service
Throws:
  `java.lang.Exception`

Method Detail

### getGHNID

    public java.lang.String getGHNID()

  Gets the GHN ID

  Returns:
    the id
  Throws:
    `java.lang.Exception` - if it is impossible to parse the Deployer Report or the GHNID element is not found

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public java.lang.String getType()

  Returns:
    the type

### getLastUpdate

    public java.util.Date getLastUpdate()

  Returns:
    the lastUpdate

### getDependencies

    public java.util.List<DeployedDependency> getDependencies()

  Returns:
    the dependencies

### getHost

    public java.lang.String getHost()

  Returns:
    the hostname from which the report was sent

### getStatus

    public java.lang.String getStatus()

  Returns:
    the status

### getInstances

    public java.util.Set<DeployerReport.DeployedRunningInstance> getInstances()

  Returns:
    the instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD